fredpy
=========

fredpy is a Python package for easily retrieving and manipulating data series from Federal Reserve Economic Data (FRED) maintained by the Federal Reserve Bank of St Louis. Install the package from PyPI using the shell command:

```pip install fredpy```

This repository contains:

1. **fredpy.py**: The module file
2. **fredpy_documentation.pdf**: Documentation with examples
3. **example scripts**:
    * **testNotebook.ipynb**: iPython notebook with detailed examples
    * **fredpy_example1.py**: Program for example 1 in documentation
    * **fredpy_example2.py**: Program for example 2 in documentation
    * **fredpy_example3.py**: Program for example 3 in documentation
4. **yield curve animation**: Files for creating a yield curve [animation](http://youtu.be/34bIQGrndao). Note that you must have ffmpeg installed.
    * **yield_curve.py**: Program for collecting yield curve data from FRED
    * **US_Treasury_Yield_Curve_With_Macro_Data.py**: Program for creating the animation
5. **documentation**: Files used to create fredpy_documentation.pdf.

Documentation for fredpy: https://www.briancjenkins.com/fredpy-package/documentation/build/html/

Free use of this code is welcome. Please send me comments, feedback, suggestions, etc. at [bcjenkin@uci.edu](mailto:bcjenkin@uci.edu).

_Updated: April 19, 2017_
